Get feed details
curl --request GET \
--url https://api.juicer.io/v1/feeds/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.juicer.io/v1/feeds/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.juicer.io/v1/feeds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"sources_count": 123,
"moderation": {
"enabled": true,
"allowed": "<string>",
"disallowed": "<string>",
"profanity_filter": true,
"prevent_duplicates": true,
"ai_moderation_available": true,
"ai_moderation": true,
"ai_harmful_content_filter": true,
"ai_moderation_rules": "<string>",
"ai_sentiment_filter": []
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"sources": [
{
"id": 123,
"platform": "<string>",
"term": "<string>",
"term_type": "<string>",
"name": "<string>",
"options": {},
"syncable": true,
"unsyncable_reason": "<string>",
"synced_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "feed_limit_reached",
"message": "Your Free plan allows 1 feed(s). Upgrade to create more.",
"details": {
"name": [
"can't be blank"
]
},
"action": {
"type": "upgrade_plan",
"current_plan": "small",
"current_plan_display_name": "Free",
"required_plan": "large",
"required_plan_display_name": "Pro",
"upgrade_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}
}Feeds
Get feed details
Returns feed details. Use ?include=sources to embed sources in the response.
GET
/
feeds
/
{id}
Get feed details
Authorizations
API key prefixed with jcr_. To obtain a key programmatically
(no dashboard required), see POST /v1/authorize.
Path Parameters
Query Parameters
Comma-separated list of relations to embed. Supported: sources
Example:
"sources"
Response
Feed details (with optional embedded sources)
Show child attributes
Show child attributes
⌘I